#include<bits/stdc++.h>
using namespace	std;
#define ll long long
int main() {
	ios_base::sync_with_stdio(false);
	cin.tie(0); cout.tie(0);
	long long int n,m,k,a,b;
	cin>>n>>m>>k;
	if(n%k!=0)(n+=k);
	if(m%k!=0)(m+=k);
	a=n/k;
	b=m/k;
	cout<<a*b;
}